org.apache.tamaya.model.spi

## Class AreaConfigModel.Builder

- java.lang.Object
- - org.apache.tamaya.model.spi.AreaConfigModel.Builder

- Enclosing class:
    AreaConfigModel

      public static class AreaConfigModel.Builder
      extends Object

  Builder for setting up a AreaConfigModel instance.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AreaConfigModel.Builder(String sectionName)` Creates a new Builder.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AreaConfigModel.Builder` | `addValidations(Collection<ConfigModel> configModels)` Add configModels.
    `AreaConfigModel.Builder` | `addValidations(ConfigModel... configModels)` Add configModels.
    `ConfigModel` | `build()` Build a new ConfigModel instance.
    `AreaConfigModel.Builder` | `setDescription(String description)` Set the )optional) description.
    `AreaConfigModel.Builder` | `setName(String name)` Set the section name
    `AreaConfigModel.Builder` | `setProvider(String provider)` Set the )optional) provider.
    `AreaConfigModel.Builder` | `setRequired(boolean required)` Sets the required flag.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AreaConfigModel.Builder

          public AreaConfigModel.Builder(String sectionName)

      Creates a new Builder.
      Parameters:
        `sectionName` - the section name, not null.

  - ### Method Detail

    - #### addValidations

          public AreaConfigModel.Builder addValidations(ConfigModel... configModels)

      Add configModels.
      Parameters:
        `configModels` - the configModels, not null.
      Returns:
        the Builder for chaining.

    - #### addValidations

          public AreaConfigModel.Builder addValidations(Collection<ConfigModel> configModels)

      Add configModels.
      Parameters:
        `configModels` - the configModels, not null.
      Returns:
        the Builder for chaining.

    - #### setRequired

          public AreaConfigModel.Builder setRequired(boolean required)

      Sets the required flag.
      Parameters:
        `required` - zhe flag.
      Returns:
        the Builder for chaining.

    - #### setDescription

          public AreaConfigModel.Builder setDescription(String description)

      Set the )optional) description.
      Parameters:
        `description` - the description.
      Returns:
        the Builder for chaining.

    - #### setProvider

          public AreaConfigModel.Builder setProvider(String provider)

      Set the )optional) provider.
      Parameters:
        `provider` - the provider.
      Returns:
        the Builder for chaining.

    - #### setName

          public AreaConfigModel.Builder setName(String name)

      Set the section name
      Parameters:
        `name` - the section name, not null.
      Returns:
        the Builder for chaining.

    - #### build

          public ConfigModel build()

      Build a new ConfigModel instance.
      Returns:
        the new ConfigModel instance, not null.

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.